<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMohServerReq StructType
 * @subpackage Structs
 */
class AddMohServerReq extends APIRequest
{
    /**
     * The mohServer
     * @var XMohServer
     */
    public $mohServer;
    /**
     * Constructor method for AddMohServerReq
     * @uses AddMohServerReq::setMohServer()
     * @param XMohServer $mohServer
     */
    public function __construct(XMohServer $mohServer = null)
    {
        $this
            ->setMohServer($mohServer);
    }
    /**
     * Get mohServer value
     * @return XMohServer|null
     */
    public function getMohServer()
    {
        return $this->mohServer;
    }
    /**
     * Set mohServer value
     * @param XMohServer $mohServer
     * @return AddMohServerReq
     */
    public function setMohServer(XMohServer $mohServer = null)
    {
        $this->mohServer = $mohServer;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddMohServerReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
